/*****************************************************************************
 *
 *  video_functions.h -- Most common functions for video handling.
 *
 *  Copyright (C) 2010 Starbuck <starbuck@labdv.com>
 *  All rights reserved.
 *
 *  This file is part of the Gui4 module of the DVDx 4 application.
 *
 *  GNU Lesser General Public License Usage
 *  This file may be used under the terms of the GNU Lesser General
 *  Public License version 2.1 as published by the Free Software
 *  Foundation and appearing in the file LICENSE.LGPL included in the
 *  packaging of this file.  Please review the following information to
 *  ensure the GNU Lesser General Public License version 2.1 requirements
 *  will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
 *
 *  GNU General Public License Usage
 *  Alternatively, this file may be used under the terms of the GNU
 *  General Public License version 3.0 as published by the Free Software
 *  Foundation and appearing in the file LICENSE.GPL included in the
 *  packaging of this file.  Please review the following information to
 *  ensure the GNU General Public License version 3.0 requirements will be
 *  met: http://www.gnu.org/copyleft/gpl.html.
 *
 *****************************************************************************/

#ifndef DVDX_VIDEO_FUNCTIONS_H
#define DVDX_VIDEO_FUNCTIONS_H

#include <QString>

namespace Video
{

// Return constants as QString
QString strPlayer(const int code);
QString strEncoder(const int code);
QString strVideoAccel(const int code);
QString strMedia(const int code);
QString strProfile(const int level);
QString strProfileTitle(const int level);

// Return movie values as QString
QString strMovieAspect(const double aspect);
QString strMovieLength(const double seconds);
QString strMovieFps(const double fps);
QString strMovieKbps(const double kbps);
QString strMovieSampling(const int hz);

// Return DVD values as QString
QString strDvdAspect(const int aspect);
QString strDvdLength(const double seconds);
QString strDvdFps(const int fps);
QString strDvdKbps(const double kbps);
QString strDvdLang(const QString &code);

// Return video and DVD values as integer
int intDvdAspect(const QString &aspect);
int intDvdAspect(const double aspect);
int intDvdFps(const double fps);

// Return video and DVD values
double valDvdAspect(const int code);
double valDvdFps(const int code);

}

#endif
